Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455009 - Random hangs
Summary: Random hangs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mutt
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 13:16 UTC by Andrew Overholt
Modified: 2009-07-14 18:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:12:36 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2008-07-11 13:16:42 UTC
Description of problem:
I get a lot of random hangs when reading mail over imaps.

Version-Release number of selected component (if applicable):
mutt-1.5.18-2.fc9.x86_64
gnutls-2.0.4-3.fc9.x86_64

How reproducible:
At least a few times daily, but I can't figure out what's causing it to do it
reliably.

Steps to Reproduce:
1. Read mail
2. Notice an unresponsive mutt

Additional info:
#0  0x0000003a2fce50b5 in recv () from /lib64/libc.so.6
#1  0x0000003a45822277 in ?? () from /usr/lib64/libgnutls.so.13
#2  0x0000003a45822660 in _gnutls_io_read_buffered () from
/usr/lib64/libgnutls.so.13
#3  0x0000003a4581ebda in _gnutls_recv_int () from /usr/lib64/libgnutls.so.13
#4  0x0000000000486c02 in strlen ()
#5  0x00000000004870f6 in strlen ()
#6  0x0000000000484346 in strlen ()
#7  0x000000000048441d in strlen ()
#8  0x000000000048b5e1 in strlen ()
#9  0x000000000048c098 in strlen ()
#10 0x000000000048c977 in strlen ()
#11 0x000000000041c777 in strlen ()
#12 0x0000000000437d8d in strlen ()
#13 0x0000003a2fc1e32a in __libc_start_main () from /lib64/libc.so.6
#14 0x00000000004060c9 in strlen ()
#15 0x00007fffed455798 in ?? ()
#16 0x000000000000001c in ?? ()
#17 0x0000000000000003 in ?? ()
#18 0x00007fffed4565ff in ?? ()
#19 0x00007fffed456604 in ?? ()
#20 0x00007fffed456607 in ?? ()
#21 0x0000000000000000 in ?? ()

Comment 1 Miroslav Lichvar 2008-07-24 10:24:31 UTC
Upstream has a similar report here:
http://dev.mutt.org/trac/ticket/3074

Comment 2 Bug Zapper 2009-06-10 02:02:45 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 18:12:36 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.